%define gittag %(echo %version | cut -d+ -f2 | cut -d. -f2)
Name:          denemo
Version:       2.6.42+20241104git.a324f8c6
Release:       1mamba
Summary:       A music notation program that helps you quickly prepare notation for publishing with Lilypond
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://denemo.org/
Source:        https://git.savannah.gnu.org/git/denemo.git/master@%{gittag}/denemo-%{version}.tar.bz2
Patch0:        denemo-2.6.42+20241104git.a324f8c6-evince-46.3.1.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: evince-devel
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libaubio-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libfftw-devel
BuildRequires: libfluidsynth-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgc-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk3-devel
BuildRequires: libgtksourceview3-devel
BuildRequires: libguile-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libportaudio-devel
BuildRequires: libportmidi-devel
BuildRequires: librsvg-devel
BuildRequires: librubberband-devel
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
BuildRequires: libsmf-devel
BuildRequires: libsndfile-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libportmidi-devel >= 1:2.0.4-1mamba
BuildRequires: librubberband-devel
Requires:      lilypond
Provides:      denemo-devel
Obsoletes:     denemo-devel < 2.5.0

%description
Denemo is a music notation program for Linux that helps you quickly prepare notation for publishing with Lilypond. Denemo does NOT strive to display all notation graphically or be the most complete graphic enviroment. Denemo is a front end to Lilypond. If you are looking for a WYSIWYG editor Denemo may not be for you. If you are looking for a way to quickly prepare scores for final editing in LilyPond give Denemo a whirl.

%debug_package

%prep
%setup -q
%patch 0 -p1
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/annotator
%{_bindir}/pageswitcher
%{_bindir}/pageturner
%{_bindir}/twopageturner
%{_bindir}/cairo_svg2path
%{_bindir}/denemo
%{_bindir}/denemo_file_update
%{_datadir}/applications/org.denemo.Denemo.desktop
%{_metainfodir}/org.denemo.Denemo.metainfo.xml
%dir %{_datadir}/denemo
%dir %{_datadir}/denemo/actions
%{_datadir}/denemo/actions/*
%{_datadir}/denemo/instruments.xml
%dir %{_datadir}/denemo/examples
%{_datadir}/denemo/examples/*
%{_datadir}/denemo/lilypond.lang
%dir %{_datadir}/denemo/manual
%{_datadir}/denemo/manual/*
%dir %{_datadir}/denemo/soundfonts
%{_datadir}/denemo/soundfonts/*
%dir %{_datadir}/denemo/templates
%{_datadir}/denemo/templates/*
%dir %{_datadir}/denemo/ui
%{_datadir}/denemo/ui/denemoui.xml
%{_datadir}/denemo/pixmaps/*
%dir %{_datadir}/fonts/truetype/denemo
%{_datadir}/fonts/truetype/denemo/Denemo.ttf
%{_datadir}/fonts/truetype/denemo/emmentaler.ttf
%{_datadir}/fonts/truetype/denemo/feta.ttf
%{_datadir}/pixmaps/org.denemo.Denemo.png
%doc AUTHORS COPYING

%changelog
* Sun Nov 17 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.42+20241104git.a324f8c6-1mamba
- update to 2.6.42+20241104git.a324f8c6

* Fri Mar 10 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.20.20230309git.e8378c1-1mamba
- update to 2.6.20.20230309git.e8378c1

* Mon Apr 18 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-1mamba
- update to 2.6.0

* Thu Mar 04 2021 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Fri Feb 05 2021 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Mon Apr 20 2020 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic update by autodist

* Mon Jul 31 2017 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Wed Dec 07 2016 Automatic Build System <autodist@mambasoft.it> 2.0.14-1mamba
- automatic version update by autodist

* Tue Oct 04 2016 Automatic Build System <autodist@mambasoft.it> 2.0.12-1mamba
- automatic version update by autodist

* Tue Jul 19 2016 Automatic Build System <autodist@mambasoft.it> 2.0.10-1mamba
- automatic version update by autodist

* Thu May 19 2016 Automatic Build System <autodist@mambasoft.it> 2.0.8-1mamba
- automatic version update by autodist

* Sun Apr 17 2016 Automatic Build System <autodist@mambasoft.it> 2.0.6-1mamba
- automatic version update by autodist

* Fri Mar 11 2016 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Mon Nov 02 2015 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Wed Jul 22 2015 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Sat Mar 14 2015 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Sat Dec 06 2014 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Mon Aug 18 2014 Automatic Build System <autodist@mambasoft.it> 1.1.8-1mamba
- automatic version update by autodist

* Thu Jul 03 2014 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Mon Jun 16 2014 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Tue Mar 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-1mamba
- update to 1.1.2

* Mon Dec 09 2013 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Thu Aug 22 2013 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic update by autodist

* Thu Jul 11 2013 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Mon May 27 2013 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Tue Apr 09 2013 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Tue Oct 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6-2mamba
- rebuilt with evince 3.6

* Fri Sep 21 2012 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- update to 0.9.6

* Mon Jul 12 2010 Automatic Build System <autodist@mambasoft.it> 0.8.14-2mamba
- automatic rebuild by autodist

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 0.8.14-1mamba
- automatic update by autodist

* Sat Feb 20 2010 Automatic Build System <autodist@mambasoft.it> 0.8.12-1mamba
- automatic update by autodist

* Tue Oct 13 2009 Automatic Build System <autodist@mambasoft.it> 0.8.8-1mamba
- automatic update by autodist

* Mon Jul 13 2009 Automatic Build System <autodist@mambasoft.it> 0.8.6-1mamba
- automatic update by autodist

* Thu Jun 18 2009 Automatic Build System <autodist@mambasoft.it> 0.8.4-1mamba
- automatic update by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 0.8.2-2mamba
- automatic rebuild by autodist

* Tue Feb 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-1mamba
- update to 0.8.2

* Mon Oct 01 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.6-1mamba
- package created by autospec
